Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04259 Crash/Freeze Critical (emulator) Always Feb 22, 2011, 20:41 Dec 25, 2016, 21:02
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP (64-bit)
Status [?] Resolved Driver namconb1.cpp
Version 0.141u2 Fixed in Version Build 64-bit
Summary 04259: machbrkr: Mame crashes when you select Rapid Jump in the 4th day.
Description (gdb) run machbrkr -window
Starting program: C:\MAME/mame.exe machbrkr -window
[New Thread 1568.0x7b0]
warning: Can not parse XML library list; XML support was disabled at compile tim
e
[New Thread 1568.0x44c]
[New Thread 1568.0x8a4]
[New Thread 1568.0x244]
[New Thread 1568.0x43c]
[New Thread 1568.0xad0]
Input file: machbrkr.inp
INP version 3.0
Created Tue Feb 22 20:17:20 2011
Recorded using MAME 0.141u2 (Feb 10 2011)
[New Thread 1568.0x7cc]
[New Thread 1568.0xb18]
[New Thread 1568.0x8fc]
Total playback frames: 40641
Average recorded speed: 99%

Program received signal SIGSEGV, Segmentation fault.
0x0000000001e1620d in device_execute_interface::device_input::empty_event_queue
(this=0x2a6f20) at src/emu/diexec.c:987
987 m_execute->execute_set_input(m_linenum, CLEAR_LINE);
(gdb) bt
#0 0x0000000001e1620d in device_execute_interface::device_input::empty_event_queue (this=0x2a6f20) at src/emu/diexec.c:987
#1 0x0000000001e15d6e in device_execute_interface::device_input::set_state_synced (this=0x2a6f20, state=1, vector=-16777216) at src/emu/diexec.c:905
#2 0x0000000002ce7e73 in device_execute_interface::set_input_line (
    this=0x2a4cd0, linenum=52, state=1) at src/emu/diexec.h:217
#3 0x0000000000be5e8d in namconb2_cpureg8_w (machine=0x2a31e0, reg=2,
    data=52 '4') at src/mame/drivers/namconb1.c:508
#4 0x0000000000be60e7 in namconb2_cpureg_w (space=0x175fc440, offset=0,
    data=13312, mem_mask=65280) at src/mame/drivers/namconb1.c:550
#5 0x0000000001e11f6a in handler_entry_write::write_stub_legacy (
    this=0x176b9e10, space=..., offset=0, data=13312, mask=65280)
    at src/emu/memory.c:5059
#6 0x0000000002d8db63 in delegate_4param<void, address_space&, unsigned int, un
signed int, unsigned int>::operator() (this=0x176b9ec0, p1=..., p2=0,
    p3=13312, p4=65280) at src/emu/delegate.h:1193
#7 0x0000000002d96fac in handler_entry_write::write32 (this=0x176b9e10,
    space=..., offset=0, data=13312, mask=65280) at src/emu/memory.c:619
#8 0x0000000002cb3ecf in address_space_specific<unsigned int, (endianness_t)1,
true>::write_native (this=0x175fc440, offset=0, data=13312, mask=65280)
    at src/emu/memory.c:1164
#9 0x0000000002cb376b in address_space_specific<unsigned int, (endianness_t)1,
true>::write_direct<unsigned char, true> (this=0x175fc440, address=15728642,
    data=52 '4', mask=255 '\377') at src/emu/memory.c:1337
#10 0x0000000002cb2dc0 in address_space_specific<unsigned int, (endianness_t)1,
true>::write_byte (this=0x175fc440, address=15728642, data=52 '4')
    at src/emu/memory.c:1455
#11 0x0000000002d8d869 in delegate_2param<void, unsigned int, unsigned char>::op
erator() (this=0x2a7208, p1=15728642, p2=52 '4') at src/emu/delegate.h:989
#12 0x0000000001c22060 in m68ki_write_8_fc (m68k=0x2a6e00, address=15728642,
    fc=5, value=52) at src/emu/cpu/m68000/m68kcpu.h:983
#13 0x0000000001c59159 in m68k_op_move_8_al_i (m68k=0x2a6e00)
    at obj/windows/mame64d/emu/cpu/m68000/m68kops.c:17482
#14 0x0000000001622d75 in cpu_execute_m68k (device=0x2a4c40)
    at src/emu/cpu/m68000/m68kcpu.c:646
#15 0x00000000020ea10d in legacy_cpu_device::execute_run (this=0x2a4c40)
    at src/emu/devcpu.c:329
#16 0x0000000001e31fd7 in device_scheduler::timeslice (this=0x2a4468)
    at src/emu/schedule.c:461
#17 0x0000000001d6e2aa in running_machine::run (this=0x2a31e0, firstrun=true)
    at src/emu/machine.c:391
#18 0x0000000001defb75 in mame_execute (osd=..., options=0x3eaac0)
    at src/emu/mame.c:200
#19 0x00000000020c81ee in cli_execute (argc=5, argv=0x3e7a40, osd=...,
    osd_options=0x3c62b20) at src/emu/clifront.c:187
#20 0x0000000001578018 in utf8_main (argc=5, argv=0x3e7a40)
    at src/osd/windows/winmain.c:417
#21 0x0000000002356e36 in wmain (argc=5, argv=0x3e73a0)
    at src/osd/windows/main.c:82
#22 0x000000000040141e in __tmainCRTStartup ()
    at ../mingw-w64-crt/crt/crtexe.c:268
#23 0x0000000077d596ac in ?? ()
#24 0x0000000077d59680 in ?? ()
#25 0x0000000000000000 in ?? ()
(gdb)
Steps To Reproduce Play till day 4 then choose the Rapid Jump stage
Additional Information
Flags
Regression Version
Affected Sets / Systems machbrkr
Attached Files
zip file icon savestate.zip (776,260 bytes) Feb 22, 2011, 20:41 Uploaded by Scagazza
zip file icon machbrkr.zip (356,305 bytes) Feb 22, 2011, 21:04 Uploaded by Scagazza
zip file icon mame0179_savestate.zip (794,522 bytes) Dec 25, 2016, 21:01 Uploaded by Kale
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.07256
Scagazza
Tester
Feb 22, 2011, 21:07
Added an inp file cos seems that savestate is not working. The inp file seems to go out of sync at the end of day 3 but you can easily proceed from that point to day 4.
User avatar
No.07260
Fujix
Administrator
Feb 23, 2011, 05:39
Confirmed. Your inp doesn't work here although.
And please describe the summary more specific, not like "MAME crashes" but like "MAME crashes when, how, if ...".
Thank you.
User avatar
No.13503
Kale
Developer
Dec 25, 2016, 21:02
edited on: Dec 25, 2016, 21:03
Assume fixed at some point, attached a save state for 0.179